// O(1) solution using floating point operations.
// 
// This gives rise to rounding errors, hence WRONG ANSWER.

#include <iostream>
#include <cassert>
#include <cmath>

using namespace std;

const int MAX_D = 100000000;
const int MAX_X = 10000;
const int MAX_Y = MAX_X;

int solve() {
	int D, X, Y;
	cin >> D >> X >> Y;
	assert(D >= 1 && D <= MAX_D);
	assert(X >= -MAX_X && X <= MAX_X);
	assert(Y >= -MAX_Y && Y <= MAX_Y);
	int Z = X * X + Y * Y;
	// don't forget the following corner case:
	if (Z < D)
		return (Z == 0 ? 0 : 2);
	else
		return ceil(sqrt(((float) Z) / ((float) D))) + 0.5f;
}

int main() {
	int T;
	cin >> T;
	for (int i = 0; i < T; i++) {
		cout << solve() << endl;
	}
	return 0;
}
