// Solution to problem `Icelandic Motor Clubs'
// Order: N^2
//
// Rudy van Vliet, 4 September, 2015

#include<iostream>
#include<cstring>

using namespace std;
const int MaxN = 5000000;
int gas[MaxN+1], dist[MaxN+1]; // declared globally to avoid segmentation fault

int main()
{ int nInst, inst;
  int N, i,
      start, gasleft;
  bool found;
  

  cin >> nInst;
  for (inst=1;inst<=nInst;inst++)
  {
    cin >> N;
    for (i=1;i<=N;i++)
      cin >> gas[i] >> dist[i];

    start = 1;
    found = false;
    do  // see if we can make a roundtrip starting at gas station `start'
    { i = start;
      gasleft = 0;

      do
      { gasleft += (gas[i]-dist[i]);
        if (gasleft>=0)
          i = (i%N)+1;
      } while (i!=start && gasleft>=0);

      if (gasleft<0)
        start = (start%N)+1;
      else
        found = true;
      
    } while (!found && start!=1);

    if (found)
      cout << start << endl;
    else
      cout << "IMPOSSIBLE" << endl;

  }

  return 0;
}
