using System;
using System.Collections.Generic;

namespace DroppingCars
{
	public static class DroppingCars
	{
		public static int Main(string[] args)
		{
			int T = int.Parse(Console.ReadLine());
			for (int i = 0; i < T; i++)
			{
				int N = int.Parse(Console.ReadLine());
				bool[][] board = new bool[N][];
				Stack<Tuple<int, int>> positions_to_visit = new Stack<Tuple<int, int>>();
				for (int j = 0; j < N; j++)
				{
					board[j] = new bool[N];
					string nextLine = Console.ReadLine();
					for (int k = 0; k < N; k++)
					{
						board[j][k] = (nextLine[k] != '-');
						if (nextLine[k] == 'w')
						{
							positions_to_visit.Push(new Tuple<int, int>(j, k));
						}
					}
				}
				
				int counter = 0;
				while (positions_to_visit.Count > 0)
				{
					Tuple<int, int> position = positions_to_visit.Pop();
					
					for (int j = -1; j <= 1; j++)
					{
						int x = position.Item1 + j;
						if (x >= 0 && x < N)
						{
							for (int k = -1; k <= 1; k++)
							{
								int y = position.Item2 + k;
								if (y >= 0 && y < N)
								{
									if (!board[x][y])
									{
										board[x][y] = true;
										counter++;
										positions_to_visit.Push(new Tuple<int, int>(x, y));
									}
								}
							}
						}
					}
				}
				
				Console.WriteLine(counter);
			}
			return 0;
		}
	}
}
