import java.util.Scanner;
import java.util.Stack;

class alex_AC {
	private static Scanner scanner = new Scanner(System.in);
	private static int N;
	private static int pos(int i, int j)
	{
		return i + j * N;
	}
	private static class Pos
	{
		public Pos(int xp, int yp) { this.x = xp; this.y = yp; }
		public int x;
		public int y;
	}
	public static void main(String[] args) {
		int T = scanner.nextInt();
		for (int i = 0; i < T; i++)
		{
			N = scanner.nextInt();
			Boolean[] board = new Boolean[N*N];
			Stack<Pos> positions_to_visit = new Stack<Pos>();
			for (int j = 0; j < N; j++)
			{
				String nextLine = scanner.next();
				for (int k = 0; k < N; k++)
				{
					board[pos(j,k)] = (nextLine.charAt(k) != '-');
					if (nextLine.charAt(k) == 'w')
					{
						positions_to_visit.push(new Pos(j, k));
					}
				}
			}
			
			int counter = 0;
			while (!positions_to_visit.empty())
			{
				Pos position = positions_to_visit.pop();
				
				for (int j = -1; j <= 1; j++)
				{
					int x = position.x + j;
					if (x >= 0 && x < N)
					{
						for (int k = -1; k <= 1; k++)
						{
							int y = position.y + k;
							if (y >= 0 && y < N)
							{
								if (!board[pos(x,y)])
								{
									board[pos(x,y)] = true;
									counter++;
									positions_to_visit.push(new Pos(x, y));
								}
							}
						}
					}
				}
			}
			
			System.out.println(counter);
		}
    }
}
