import java.util.Scanner;

class alex_AC {
	private static int[] gasOnStation;
	private static int[] gasDrivingCosts;
	private static Scanner scanner = new Scanner(System.in);
	public static void main(String[] args) {
		int T = scanner.nextInt();
		for (int i = 0; i < T; i++)
		{
			int N = scanner.nextInt();
			gasOnStation = new int[N];
			gasDrivingCosts = new int[N];
			
			ReadInput(N);
			
			FindStartingPoint();
		}
	}
	private static void ReadInput(int N)
	{
		for (int i = 0; i < N; i++)
		{
			gasOnStation[i] = scanner.nextInt();
			gasDrivingCosts[i] = scanner.nextInt();
		}
	}
	private static void FindStartingPoint()
	{
		int minI = 0;
		int minEndValue = Integer.MAX_VALUE;
		int gasValue = 0;
		for (int i = 0; i < gasOnStation.length; i++)
		{
			if (gasValue < minEndValue)
			{
				minI = i;
				minEndValue = gasValue;
			}
			gasValue += gasOnStation[i] - gasDrivingCosts[i];
		}

		if (gasValue < 0)
		{
			System.out.println("IMPOSSIBLE");
		}
		else
		{
			System.out.println(minI + 1);
		}
	}
}
